﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HighlightSample
{
    public partial class Form1 : Form
    {
        Infragistics.Win.Appearance lookSelectedApp;
        Infragistics.Win.Appearance lookUnselectedApp;

        public Form1()
        {
            InitializeComponent();
            lookSelectedApp = ultraGrid1.DisplayLayout.Override.ActiveRowAppearance.Clone() as Infragistics.Win.Appearance;
            lookUnselectedApp = ultraGrid1.DisplayLayout.Override.RowAppearance.Clone() as Infragistics.Win.Appearance;
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            DataTable dt = new DataTable();
            dt.Columns.Add("col1", typeof(int));
            dt.Columns.Add("col2", typeof(string));

            dt.Rows.Add(new object[] { 1, "b" });
            dt.Rows.Add(new object[] { 2, "a" });
            dt.Rows.Add(new object[] { 3, "c" });
            dt.Rows.Add(new object[] { 4, "d" });
            dt.Rows.Add(new object[] { 5, "e" });
            dt.Rows.Add(new object[] { 6, "f" });

            ultraGrid1.DataSource = dt;

            ultraGrid1.DisplayLayout.Bands[0].Columns["set"].PerformAutoResize();
            ultraGrid1.DisplayLayout.Bands[0].Columns["unset"].PerformAutoResize();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            if (!e.Layout.Bands[0].Columns.Exists("set"))
            {
                Infragistics.Win.UltraWinGrid.UltraGridColumn col = e.Layout.Bands[0].Columns.Add("set");
                col.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Button;
            }
            if (!e.Layout.Bands[0].Columns.Exists("unset"))
            {
                Infragistics.Win.UltraWinGrid.UltraGridColumn col2 = e.Layout.Bands[0].Columns.Add("unset");
                col2.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Button;
            }
        }

        private void ultraGrid1_ClickCellButton(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            if (e.Cell.Column.Key == "set")
                e.Cell.Row.Appearance = lookSelectedApp;
            else
                e.Cell.Row.Appearance = lookUnselectedApp;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (!e.ReInitialize)
            {
                e.Row.Cells["set"].Value = "Click to make look selected";
                e.Row.Cells["unset"].Value = "Click to make look unselected";
            }
        }
    }
}
